Support » Plugin: W3 Total Cache » PHP 7.0 compatibility

  • With trying to make the jump to PHP7 I noticed that W3 Total Cache has some warnings when running it through the WP-Engine PHP7 Compatibility Checker, which are the following:

    FILE: wp-content/plugins/w3-total-cache/lib/SNS/lib/requestcore/requestcore.class.php
    ----------------------------------------------------------------------------------------------------------------------------------
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ----------------------------------------------------------------------------------------------------------------------------------
     650 | WARNING | INI directive 'safe_mode' is deprecated since PHP 5.3 and removed since PHP 5.4.
    ----------------------------------------------------------------------------------------------------------------------------------
    
    FILE: wp-content/plugins/w3-total-cache/lib/Nusoap/class.soap_transport_http.php
    -----------------------------------------------------------------------------------------------------------------------------
    FOUND 0 ERRORS AND 2 WARNINGS AFFECTING 2 LINES
    -----------------------------------------------------------------------------------------------------------------------------
     284 | WARNING | INI directive 'safe_mode' is deprecated since PHP 5.3 and removed since PHP 5.4.
     287 | WARNING | INI directive 'safe_mode' is deprecated since PHP 5.3 and removed since PHP 5.4.
    -----------------------------------------------------------------------------------------------------------------------------
    
    FILE: wp-content/plugins/w3-total-cache/lib/Nusoap/nusoap.php
    --------------------------------------------------------------------------------------------------------------------------------
    FOUND 37 ERRORS AND 2 WARNINGS AFFECTING 31 LINES
    --------------------------------------------------------------------------------------------------------------------------------
     2437 | WARNING | INI directive 'safe_mode' is deprecated since PHP 5.3 and removed since PHP 5.4.
     2440 | WARNING | INI directive 'safe_mode' is deprecated since PHP 5.3 and removed since PHP 5.4.
     3635 | ERROR   | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     3640 | ERROR   | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     3642 | ERROR   | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     3658 | ERROR   | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     3659 | ERROR   | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     3695 | ERROR   | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     3699 | ERROR   | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     3700 | ERROR   | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     3707 | ERROR   | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     3708 | ERROR   | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     3779 | ERROR   | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     3842 | ERROR   | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     3844 | ERROR   | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4419 | ERROR   | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4439 | ERROR   | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4439 | ERROR   | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4440 | ERROR   | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4441 | ERROR   | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4442 | ERROR   | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4442 | ERROR   | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4442 | ERROR   | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4443 | ERROR   | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4443 | ERROR   | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4508 | ERROR   | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4514 | ERROR   | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4514 | ERROR   | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4515 | ERROR   | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4516 | ERROR   | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4517 | ERROR   | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4518 | ERROR   | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4518 | ERROR   | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4518 | ERROR   | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4519 | ERROR   | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4519 | ERROR   | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     5339 | ERROR   | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     5343 | ERROR   | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     5344 | ERROR   | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
    --------------------------------------------------------------------------------------------------------------------------------
    
    FILE: wp-content/plugins/w3-total-cache/lib/Nusoap/class.wsdl.php
    -----------------------------------------------------------------------------------------------------------------------------
    FOUND 3 ERRORS AFFECTING 3 LINES
    -----------------------------------------------------------------------------------------------------------------------------
     758 | ERROR | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     762 | ERROR | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     763 | ERROR | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
    -----------------------------------------------------------------------------------------------------------------------------
    
    FILE: wp-content/plugins/w3-total-cache/lib/Db/mssql.php
    -----------------------------------------------------------------------------------------------------
    FOUND 24 ERRORS AFFECTING 23 LINES
    -----------------------------------------------------------------------------------------------------
      530 | ERROR | Extension 'mssql' is removed since PHP 7.0
      531 | ERROR | Extension 'mssql' is removed since PHP 7.0
      532 | ERROR | Extension 'mssql' is removed since PHP 7.0
      553 | ERROR | Extension 'mssql' is removed since PHP 7.0
      758 | ERROR | Extension 'mssql' is removed since PHP 7.0
      936 | ERROR | Extension 'mssql' is removed since PHP 7.0
     1060 | ERROR | Extension 'mssql' is removed since PHP 7.0
     1076 | ERROR | Extension 'mssql' is removed since PHP 7.0
     1077 | ERROR | Extension 'mssql' is removed since PHP 7.0
     1078 | ERROR | Extension 'mssql' is removed since PHP 7.0
     1144 | ERROR | Extension 'mssql' is removed since PHP 7.0
     1147 | ERROR | Extension 'mssql' is removed since PHP 7.0
     1156 | ERROR | Extension 'mssql' is removed since PHP 7.0
     1161 | ERROR | Extension 'mssql' is removed since PHP 7.0
     1168 | ERROR | Extension 'mssql' is removed since PHP 7.0
     1171 | ERROR | Extension 'mssql' is removed since PHP 7.0
     1191 | ERROR | Extension 'mssql' is removed since PHP 7.0
     1205 | ERROR | Extension 'mssql' is removed since PHP 7.0
     1208 | ERROR | Extension 'mssql' is removed since PHP 7.0
     1208 | ERROR | Extension 'mssql' is removed since PHP 7.0
     1216 | ERROR | Extension 'mssql' is removed since PHP 7.0
     1217 | ERROR | Extension 'mssql' is removed since PHP 7.0
     1240 | ERROR | Extension 'mssql' is removed since PHP 7.0
     1251 | ERROR | Extension 'mssql' is removed since PHP 7.0
    -----------------------------------------------------------------------------------------------------
    
    FILE: wp-content/plugins/w3-total-cache/Enterprise_Dbcache_WpdbInjection_Cluster.php
    ---------------------------------------------------------------------------------------------------------------------------------
    FOUND 17 ERRORS AFFECTING 17 LINES
    ---------------------------------------------------------------------------------------------------------------------------------
     374 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead.
     444 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead.
     467 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead.
     473 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead.
     516 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead.
     523 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead.
     537 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead.
     543 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead.
     547 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead.
     555 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead.
     556 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead.
     562 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead.
     567 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead.
     642 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead.
     655 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead.
     787 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead.
     793 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and removed since PHP 7.0 - use mysqli instead.
    ---------------------------------------------------------------------------------------------------------------------------------
    
    FILE: wp-content/plugins/w3-total-cache/inc/lightbox/self_test.php
    ---------------------------------------------------------------------------------------------------------------
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ---------------------------------------------------------------------------------------------------------------
     171 | WARNING | INI directive 'safe_mode' is deprecated since PHP 5.3 and removed since PHP 5.4.
    ---------------------------------------------------------------------------------------------------------------

    This plugin pretty much has the most errors regarding the use of mysql_ which I assume has to do something to do with connecting to the database.

    So my question is if I should be concerned about these when I switch over to PHP7 in terms of the actual plugin still functioning properly?

    Thanks for further information in advance!

Viewing 6 replies - 1 through 6 (of 6 total)
  • @rafaeldejongh WPEngine does not allow you to have W3 Total Cache or any other caching plugin since they have their own caching engine utilized on the server. Even if you pass the compatibility checker they will remove the plugin automatically.

    @aglipanci

    I’m not using WPEngine to host my websites, the tool for the PHP7 checker is created by WPEngine however.

    I’ve been using W3 Total Cache for years now on my wordpress site hosted at Site5, so I’d like to keep it that way. But I also want to proceed with development and switch to PHP7 that’s also why I’m posting this question.

    So again I’m not hosting my website at WPEngine rather I’m using their PHP Compatibility Checker (https://wordpress.org/plugins/php-compatibility-checker/) to get the above error and warning results.

    @rafaeldejongh oh I see. Basically I read the at the moment the plugin is not maintained anymore. You can have a look at the community version here: https://github.com/szepeviktor/w3-total-cache-fixed

    I hope this will help you somehow.

    @aglipanci

    They only support PHP7 for the 9.4 version sadly enough, and that being an old version I can’t really do anything with it, with my current setup.

    So in general my question here would be more if it would still work with php7 or not.

    @rafaeldejongh I have two sites running on PHP7 with 0.9.5 (recently patched with the community version from GIT). I haven’t had any issue so far, but I don’t use comments and such stuff. Mostly I use it for Page caching, Minification on Redis and Browser caching.

    @aglipanci

    Alright good to know, I don’t really use comments and other activities either, it’s for my personal portfolio: https://www.rafaeldejongh.com/ so I don’t really need much other than basic caching to speed up presentation. That said it’s good to hear you’re not experiencing any problems. I’ve switched over to PHP7 and personally I’m not experiencing any issues either with 0.9.5, so that’s pretty good!

    It’s a shame though that this plugin nor the 9.5 version of the github you’ve linked are going to be updated and properly suited for php7 but in general I’m already pleased to know that it works fine with PHP7!

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘PHP 7.0 compatibility’ is closed to new replies.